summaryrefslogtreecommitdiff
path: root/qa/928
diff options
context:
space:
mode:
Diffstat (limited to 'qa/928')
-rwxr-xr-xqa/92845
1 files changed, 45 insertions, 0 deletions
diff --git a/qa/928 b/qa/928
new file mode 100755
index 0000000..38be1c1
--- /dev/null
+++ b/qa/928
@@ -0,0 +1,45 @@
+#!/bin/sh
+# PCP QA Test No. 928
+# Check __pmLogPutResult2() vs __pmLogPutResult()
+#
+# Copyright (c) 2014 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+export TZ=UTC
+
+echo "+++ __pmLogPutresult() +++"
+src/chkputlogresult -b $tmp.1
+pmdumplog -a $tmp.1
+
+echo
+echo "+++ __pmLogPutresult2() +++"
+src/chkputlogresult $tmp.2
+pmdumplog -a $tmp.2
+
+echo
+echo "+++ compare files (expect no diffs) +++"
+for ext in 0 meta index
+do
+ echo ".$ext files"
+ cmp $tmp.1.$ext $tmp.2.$ext
+done
+
+
+
+# success, all done
+status=0
+
+exit